#!/usr/bin/env ruby
#-*-coding: utf-8 -*-
print"爆弾を発見した!\n"
print"どのワイヤを切る?\n"
puts"1:青"
puts"2:赤"
puts"3:黄色"
puts"4:緑"
waiya=rand(3)+1
start=Time.now
while true
  sentaku=gets.chomp.to_i
  if sentaku>=1&&sentaku<=4
    break
  else
  print"そのワイヤはないよ!\n"
  redo
  end
end
stop=Time.now
time=stop-start
if time>15
  print"ボカーーン!!\n"
  print"あなたは死んでしまった!\n"
else
  if sentaku==
    print"あなたは爆弾を解除した!\n"
  elsif sentaku>=1&&sentaku<=4
    print"ボカーーン!!\n"
    print"あなたは死んでしまった!\n"
 end
end
